Getting Started

You can use this tool to create and configure PCAN nets. These are used by the various PCAN applications to establish a connection to a PCAN hardware and communicate with its connected physical CAN bus.

The displayed tree structure shows the installed hardware and their affiliated nets.

The virtual hardware 'Internal' is always present. Based on it, internal nets can be defined, which are usually used for developing PCAN applications (clients) and simulating a physical CAN bus. External nets are 'parked' on this node, if the corresponding hardware has been removed temporarily.

Nets can be simply moved from one hardware node to another one by using Drag-and-Drop.

How to use the Online Help

When you click a Help button from within a dialog box, a Help window appears, and a context-sensitive topic is displayed for that dialog box. You can also press F1 on the keyboard in any window of PCAN Nets Configuration to display a help topic for that window or tab.

You can also use the Contents and Search tabs in the left pane of the Help window to locate topics of interest. When you perform a search, the results are displayed by topic title.

How to...

  • Configuring PCAN Nets

See also

PCAN System Basics

Contact Information / Copyright

Send Feedback | Copyright © 2022 PEAK-System Technik GmbH. Alle rights reserved.


PCAN System Basics

PCAN is a synonym for PEAK CAN APPLICATIONS and is a flexible system for planning, developing, and using a CAN Bus System. Developers as well as end users are getting a helpful and powerful product.

Basis for the communication between PCs and external hardware via CAN is a series of Windows Kernel Mode Drivers (Virtual Device Drivers) e.g. PCAN_USB.SYS, PCAN_PCI.SYS, PCAN_xxx.SYS. These drivers are the core of a complete CAN environment on a PC running Windows and work as interfaces between CAN software and PC-based CAN hardware. The drivers manage the entire data flow of every CAN device connected to the PC.

A user or administrator of a CAN installation gets access via the PCAN-Clients (short: Clients). Several parameters of processes can be visualized and changed with their help. The drivers allow the connection of several Clients at the same time.

Furthermore, several hardware components based on the SJA1000 CAN controller are supported by a PCAN driver. So-called Nets provide the logical structure for CAN busses, which are virtually extended into the PC. On the hardware side, several Clients can be connected, too. The following figures demonstrate different possibilities of Net configurations (also realizable at the same time):

PCAN-System Features

  • One Client can be connected to several Nets

  • One Net provides several Clients

  • One piece of hardware belongs to one Net

  • One Net can include none or one piece of hardware

  • A message from a transmitting Client is carried on to every other connected Client, and to the external bus via the connected CAN hardware

  • A message received by the CAN hardware is received by every connected Client. However, Clients react only on those messages that pass their acceptance filter.


Contact Information / Copyright

PCAN Nets Configuration is a product of:

PEAK-System Technik GmbH

Otto-Roehm-Strasse 69
D-64293 Darmstadt
Germany

Info: | info@peak-system.com
Support: | support@peak-system.com
Web: | www.peak-system.com

Copyright © 2022 PEAK-System Technik GmbH. Alle rights reserved.

Windows® is a registered trademark of Microsoft Corporation in the United States and other countries. All other product names mentioned herein may be the trademarks or registered trademarks of their respective companies. Furthermore, "™" and "®" are not mentioned in each case in this help.

No part of this publication may be reproduced, photocopied, stored on a retrieval system, or transmitted without the express written consent of PEAK-System Technik GmbH.

Last update: 2022-02-10

Send Feedback | Copyright © 2022 PEAK-System Technik GmbH. Alle rights reserved.


Configuring PCAN Nets

PCAN nets allow the connection of a PCAN application (client) to the PCAN hardware. Miscellaneous nets can be defined in order to allow the operation of the installed hardware with different Bit rates. The definition and configuration of these nets is done with the PCAN Nets Configuration tool.

Creating New Nets

Before starting the PCAN Nets Configuration tool you should quit all running PCAN applications (clients).

Do the following to create a new net:

  1. In the tree, select the hardware entry, for which you would like to create a new net.

  2. On the Edit menu, select the New Net command, or press the corresponding button in the tool bar. A dialog box for entering the net properties is shown.

  3. Enter the name of the new net in the Name field.

  4. On the CAN Setup tab page, select the operating mode of the hardware in the Mode drop-down list (SJA1000 / CAN / CAN FD).

  5. Select the desired bit rate and sample point, or choose one of the predefined bit rates from the Database Entry drop-down list.
    For the CAN FD modes, you can choose a predefined preset from the Bit Rate Preset drop-down list, which are coordinated combinations of nominal and data bit rate.
    Or you could also choose the entry None, which allows you to enter arbitrary nominal and data bit rates, or to select one of the predefined bit rates from the corresponding Database Entry drop-down list.

  5. Press OK. The new net appears as a branch of the selected hardware.

  6. On the File menu, choose the Save command, or press the corresponding button in the tool bar. The new net can now be accessed by PCAN programs.

Editing Nets

An existing net can only be edited if no client is connected to it. If a net is currently locked by a client, this is indicated by a lock icon next to the net name.

Do the following to edit an existing net:

  1. In the tree, select the net which you would like to edit.

  2. On the Edit menu, select Properties. A dialog box for the definition of the net properties is shown.

  3. Edit the net properties.

  4. Press OK.

  5. On the File menu, choose the Save command.

Deleting Nets

Deleting a net is only possible if no client is connected to it.

Do the following to delete a net:

  1. In the tree, select the net which you would like to edit.

  2. On the Edit menu, select the Delete Net command.

  3. Confirm the deletion by choosing Yes in the message window.

  4. On the File menu, choose the Save command.

See also

PCAN System Basics

Send Feedback | Copyright © 2022 PEAK-System Technik GmbH. Alle rights reserved.


PCAN Nets Configuration Commands

The following commands can be accessed in PCAN Nets Configuration 5, using either the menus or the toolbar.

Menu Command | Icon | Description
File | Save |  | Saves all changes and applies them in the PCAN system.
File | Settings |  | Contains sub-menus that allow you to select the language and style of the user interface.
File | Exit |  | Quits the program.
Edit | New Net |  | Creates a new Net. This command is only available if a Hardware is selected and the user has Write privileges on the hardware's Registry key.
Edit | Delete Net |  | Deletes an existing Net. This command is available only if a Net is selected and the user has Write privileges on the hardware's Registry key.
Edit | Properties |  | Shows the properties of the selected Net.
View | Handles |  | Shows a column containing Net and Hardware handles.
View | Binding |  | Shows a column containing information about whether a net is bound to a specific attribute, e.g. a Hardware handle or a Device ID.
View | Hexadecimal Device IDs |  | Determines whether Device IDs are displayed in decimal or hexadecimal notation in the Info column.
View | Refresh |  | Refreshes the object tree view.
Help | Contents |  | Displays the table of contents of the Online help.
Help | About |  | Shows information about the program, version, and copyright.

See also

Configuring PCAN Nets

Send Feedback | Copyright © 2022 PEAK-System Technik GmbH. Alle rights reserved.


Net Properties Dialog Box

Use the Net Properties dialog box to edit net parameters.

Name

The name of the net. The maximum length of net names is 20 characters.

CAN Setup

Mode

Depending on the PCAN hardware used, different operating modes are available for the hardware. For older PCAN hardware that is not compatible with CAN FD, only the CAN (SJA1000) mode is available. For newer PCAN hardware compatible with CAN FD, in addition to a more comfortable CAN mode, various CAN FD operating modes can be used.

Mode

Description

CAN (SJA1000)

Configures a PCAN hardware by selecting the two values for the bus timing registers BTR0 and BTR1 of the SJA1000 CAN controller for the CAN 2.0B protocol. The bus timing always refers to a clock frequency of 8 MHz.

Nets that are defined with this mode can also be used for newer CAN-FD-compatible PCAN hardware that are not based on the SJA1000 CAN controller. Since the controller of a CAN-FD-compatible hardware only allows clock frequencies of 20 MHz or higher, the bit rate parameters are converted accordingly in order to obtain the desired bit timing.

CAN

Configures a PCAN hardware to use the CAN 2.0B protocol.

CAN FD

Configures a PCAN hardware to use the CAN FD protocol. Whether the hardware is operated according to the ISO standard 11898-1:2015 or in accordance with the original Bosch CAN FD protocol, which does not conform to the ISO standard, depends on the configuration of the ISO mode in the PCAN hardware itself.

ISO CAN FD

Configures a PCAN hardware to use the CAN FD protocol in accordance with the ISO standard 11898-1:2015.

Non-ISO CAN FD

Configures PCAN hardware to use the CAN FD protocol in accordance with the original Bosch CAN FD protocol, which does not conform to the ISO standard.

Mode: CAN (SJA1000)

After selecting the CAN (SJA1000) mode the following selection and input fields are available:

Clock Frequency

The bit timing for SJA1000 bit rates is always calculated based on 8 MHz, so the clock frequency cannot be changed in this mode.

Database Entry

Enables a quick selection of one of the bit rates that are stored in the database. Predefined bit rates are marked with a yellow star [image], and user-specific bit rates with a user symbol [image].

(Manage Bit rates)

Use this button to display a dialog window where you can create your own bit rates or customize the predefined ones.

Bit Rate

Here you can enter the bit rate in kbit/s that you want to use. If the exact bit rate is not possible, a corresponding message is displayed when you leave the field and the next possible bit rate is suggested.

Bus Timing Register 0

Allows the direct editing of the value for the BTR0 register of the SJA1000 CAN controller. For more information about the Bus Timing Register 0, refer to the Philips SJA1000 Stand-alone CAN controller data sheet, chapter 6.5.1.

Bus Timing Register 1

Allows the direct editing of the value for the BTR1 register of the SJA1000 CAN controller. For more information about the Bus Timing Register 1, refer to the Philips SJA1000 Stand-alone CAN controller data sheet, chapter 6.5.2.

Prescaler

This field informs about the current prescaler value (1-64), which is extracted from Bits 0 to 5 from the Bus Timing Register 0.

Sample Count

Allows you to select either 1 or 3 samples, which determines the value of the SAM bit in the BTR1 register. For more information, refer to the Philips SJA1000 Stand-alone CAN controller data sheet, chapter 6.5.2.1.

(Parameter Table)

The table in the lower area of the dialog window shows all possible combinations of BTR0 and BTR1 that lead to the desired bit rate and result in a sample point of at least 50%.

Mode: CAN

After selecting the CAN mode the following selection and input fields are available:

Clock Frequency

Allows the selection of one of the clock frequencies 20, 24, 30, 40, 60, and 80 MHz, which is to serve as the basis for calculating the bit timing of the CAN bus.

Database Entry

Enables a quick selection of one of the bit rates that are stored in the database. Predefined bit rates are marked with a yellow star [image], and user-specific bit rates with a user symbol [image].

(Manage Bit rates)

Use this button to display a dialog window where you can create your own bit rates or customize the predefined ones.

Bit Rate

Here you can enter the bit rate in kbit/s that you want to use. If the exact bit rate is not possible, a corresponding message is displayed when you leave the field and the next possible bit rate is suggested.

Sample Point

Here you can enter the desired sample point in percent. If the exact sample point is not possible, a corresponding message is displayed when the field is exited and the next possible sample point is suggested.

... (Bit Timing Configuration)

Opens a dialog window that offers various parameter combinations to match the selected bit rate, which lead to the same bit rate but may result in different sample points.

(Copy Parameters to Clipboard)

Copies the parameters of the currently selected bit rate as text to the Clipboard.

Prescaler

This field informs about the prescaler value (1-1024) of the currently selected bit rate.

Mode: CAN FD

Also applies to the ISO CAN FD and Non-ISO CAN FD modes. After selecting one of the CAN FD modes the following selection and input fields are available:

Clock Frequency

Allows the selection of one of the clock frequencies 20, 24, 30, 40, 60, and 80 MHz, which is to serve as the basis for calculating the bit timing of the CAN bus.

Bit Rate Preset

Enables a quick selection of one of the bit rate presets that are stored in the database. Predefined bit rate presets are marked with a yellow star [image], and user-specific presets with a user symbol [image].

(Manage Bit rates)

Use this button to display a dialog window where you can create your own bit rates and presets or customize the predefined ones.

Nominal Bit Rate

This group offers settings for the nominal part of a CAN FD bit rate.

Database Entry

Enables a quick selection of one of the nominal bit rates that are stored in the database. Predefined bit rates are marked with a yellow star [image], and user-specific bit rates with a user symbol [image].

Bit Rate

Here you can enter the nominal bit rate in kbit/s that you want to use. If the exact bit rate is not possible, a corresponding message is displayed when you leave the field and the next possible bit rate is suggested.

Sample Point

Here you can enter the desired sample point of the nominal bit rate in percent. If the exact sample point is not possible, a corresponding message is displayed when the field is exited and the next possible sample point is suggested.

... (Bit Timing Configuration)

Opens a dialog window that offers various parameter combinations to match the selected nominal bit rate, which lead to the same bit rate but may result in different sample points.

(Copy Parameters to Clipboard)

Copies the parameters of the currently selected nominal and data bit rates as text to the Clipboard.

Prescaler

This field informs about the prescaler value (1-1024) of the currently selected nominal bit rate. Please note that for CAN FD the values of the prescalers for nominal and data bit rate should be identical to ensure trouble-free operation.

Data Bit Rate

This group offers settings for the data part of a CAN FD bit rate. The bit rate selected is used to transfer the data fields of a CAN FD frame with a higher bit rate. This higher bit rate is applied to those CAN FD frames that have the 'Bit Rate Switch' flag set.

Data Bit Rate

The option to disable the data bit rate settings is present only for downward compatibility reasons.

Disabling the data bit rate results in using the nominal bit rate parameters also for the data bit rate, which is not recommended. Individual nominal bit rate parameter values could lie outside the permitted range of values for the corresponding data bit rate parameters, as a result of which the initialization of the CAN controller will fail.

Database Entry

Enables a quick selection of one of the data bit rates that are stored in the database. Predefined bit rates are marked with a yellow star [image], and user-specific bit rates with a user symbol [image].

Bit Rate

Here you can enter the data bit rate in kbit/s that you want to use. If the exact bit rate is not possible, a corresponding message is displayed when you leave the field and the next possible bit rate is suggested.

Sample Point

Here you can enter the desired sample point of the data bit rate in percent. If the exact sample point is not possible, a corresponding message is displayed when the field is exited and the next possible sample point is suggested.

... (Bit Timing Configuration)

Opens a dialog window that offers various parameter combinations to match the selected data bit rate, which lead to the same bit rate but may result in different sample points.

(Copy Parameters to Clipboard)

Copies the parameters of the currently selected nominal and data bit rates as text to the Clipboard.

Prescaler

This field informs about the prescaler value (1-1024) of the currently selected data bit rate. Please note that for CAN FD the values of the prescalers for nominal and data bit rate should be identical to ensure trouble-free operation.

Binding

These settings bind a net to a PCAN hardware that has a specific Device ID. If a net is bound to a specific Device ID, the net will remain on the Internal node until a PCAN hardware is plugged in that has a matching Device ID.
This tab page is only displayed if a net is created for a PCAN hardware that supports the setting of a Device ID. To assign a Device ID to a PCAN hardware, use the PEAK Hardware control panel, or the newer PEAK Settings application, if available.

If a net is not bound to a Device ID, it is bound to the internal handle of the respective hardware channel. For Plug-and-play hardware, the handles are determined automatically and depend from the plug-in order or from hardware detection order at system startup, so it is not guaranteed that a net is always assigned to the same hardware.

Bind to Device ID

If this option is enabled, the net is connected with a PCAN hardware only if the plugged-in hardware has the correct Device ID. Otherwise, the net remains on the Internal node.

Device ID

Specifies the Device ID to which the net will be bound.

Channel

Chooses for multichannel CAN hardware the channel to which the net is bound.

RP1210

The following fields are only available if a PEAK RP1210A DLL and a valid RP1210 license file are installed.

Use for RP1210A

Chooses the net as one of the nets that the RP1210A API uses for CAN communication.

Channel

Selects the RP1210 channel that the RP1210A API uses for CAN communication (0-128). Channel numbers can each be assigned only once per device type (PCI / USB / etc.).

See also

Configuring PCAN Nets

Manage Bit Rates Dialog Box

Send Feedback | Copyright © 2022 PEAK-System Technik GmbH. Alle rights reserved.


Manage Bit Rates Dialog Box

With the help of the Manage Bit rate dialog box you can inspect the individual parameters of the predefined bit rates, and you can define your own bit rates and compose bit rate presets for CAN FD. Bit rate presets are combinations of nominal and data bit rates that can be selected in the Connect dialog box to establish a CAN FD connection as simply as possible.

To access the Manage Bit rates dialog box, click on the button [image] in the Net Properties Dialog Box.

Predefined elements in the various lists are marked with the icon [image], and user-defined elements with the icon [image].

To rename user-defined elements in the lists, click with the mouse in the list on the name of the element to enable the edit mode, or press the [F2] key when a list has the input focus.

The bit rates are divided into 3 categories, which can be selected via tabs.

Tab | Description
CAN (SJA1000) | Configures bit rates that can be used with PCAN hardware that is equipped with an SJA1000 CAN controller for the CAN 2.0B protocol. The bit timing here always refers to a clock frequency of 8 MHz.
CAN | Configures bit rates for the CAN 2.0B protocol that can be used with PCAN hardware that supports bit timing based on clock frequencies greater than 8 MHz. Such PCAN hardware is usually also compatible with the CAN FD protocol.
CAN FD | Configures bit rates that are used with the CAN FD protocol. CAN FD bit rates consist of a combination of nominal and data bit rate. To make it easier to use such bit rate combinations, they can be combined here to form bit rate presets.

CAN (SJA1000) Tab

After selecting the CAN (SJA1000) tab the following selection and input fields are available:

Clock Frequency

The bit timing of SJA1000 bit rates is based on the clock frequency of 8 MHz, so there are no further entries to choose from.

Bit Rate

This list shows all available bit rates that are based on the clock frequency 8 MHz.

To create a new bit rate, click on the [image] button below the list. Now you can either enter the desired bit rate directly in the table in the lower area of the dialog window in the Bit Rate column, or the 16-bit BTR0/BTR1 code, or manually adjust the individual parameters (Prescaler / TSEG1 / TSEG2 / SJW). If you enter a value for the bit rate that cannot be achieved, a message window opens that suggests the next possible value that has been calculated.

For more information about the bus timing registers BTR0 and BTR1, refer to the Philips SJA1000 Stand-alone CAN controller data sheet, chapters 6.5.1 and 6.5.2.

With the [image] button you can open a selection list with possible parameter combinations, which lead to the same bit rate but may result in different sample points.

To delete a bit rate, select the bit rate in the list and click on the [image] button below the list. Note that only user-defined bit rates can be deleted.

CAN Tab

After selecting the CAN tab the following selection and input fields are available:

Clock Frequency

Selects a clock frequency on which the bit timing of the bit rate should be based. After you have selected a clock frequency, the Bit rate list shows all the bit rates in the database that are based on the selected clock frequency.

Bit Rate

This list shows all available bit rates that are based on the selected clock frequency.

To create a new bit rate, click on the [image] button below the list. Now you can either enter the desired bit rate and sample point directly in the table in the lower area of the dialog window in the Bit Rate and Sample Point columns, or manually adjust the individual parameters (Prescaler / TSEG1 / TSEG2 / SJW). If you enter a value for the bit rate that cannot be achieved, a message window opens that suggests the next possible value that has been calculated.

With the [image] button you can open a selection list with possible parameter combinations, which lead to the same bit rate but may result in different sample points.

To delete a bit rate, select the bit rate in the list and click on the [image] button below the list. Note that only user-defined bit rates can be deleted.

CAN FD Tab

After selecting the CAN FD tab the following selection and input fields are available:

Bit Rate Preset

This list contains all available bit rate presets. When you select a preset, the associated nominal and data bit rates are selected in the corresponding lists, and the clock frequency on which the bit rates are based is highlighted in the Clock Frequency list.

To create a new preset, click on the [image] button below the list. Then select the clock frequency on which the bit rates are based, and select the nominal and data bit rates for your preset.

Via the context menu (accessible from the right mouse button), you can copy a preset to the Clipboard, or paste a preset from the Clipboard into the list.

To delete a preset, select the preset in the list and click on the [image] button below the list. Note that only user-defined presets can be deleted. Note that only user-defined presets can be deleted.

If you have selected a user-defined preset and changed one of its bit rates, an asterisk character is shown behind the preset name in the list. If you have made the changes inadvertently, you can either click the Cancel button to close the dialog window and discard all changes, or choose the Revert changes command for the preset from the context menu.

Clock Frequency

Chooses a clock frequency for a preset. All bit rates available for the chosen frequency are shown in the corresponding lists.

The selected entry in the list can only be changed when either a user-defined preset is selected or when the entry None is selected in the Bit Rate Preset list.

Nominal Bit Rate

This list shows all available nominal bit rates that are based on the selected clock frequency.

To create a new nominal bit rate, first choose the entry None in the Bit Rate Preset list, or create a new user-defined preset. Then click on the [image] button below the list. Now you can either enter the desired bit rate and sample point directly in the table in the lower area of the dialog window in Nominal row and the Bit Rate and Sample Point columns, or manually adjust the individual parameters (Prescaler / TSEG1 / TSEG2 / SJW). If you enter a value for the bit rate that cannot be achieved, a message window opens that suggests the next possible value that has been calculated.

With the [image] button you can open a selection list with possible parameter combinations, which lead to the same nominal bit rate but may result in different sample points.

To delete a bit rate, select the bit rate in the list and click on the [image] button below the list. Note that only user-defined bit rates can be deleted.

As long as a predefined preset is selected, the Nominal Bit Rate list is locked for selection and modification.

Data Bit Rate

This list shows all available data bit rates that are based on the selected clock frequency.

To create a new data bit rate, first choose the entry None in the Bit Rate Preset list, or create a new user-defined preset. Then click on the [image] button below the list. Now you can either enter the desired bit rate and sample point directly in the table in the lower area of the dialog window in Data row and the Bit Rate and Sample Point columns, or manually adjust the individual parameters (Prescaler / TSEG1 / TSEG2 / SJW). If you enter a value for the bit rate that cannot be achieved, a message window opens that suggests the next possible value that has been calculated.

With the [image] button you can open a selection list with possible parameter combinations, which lead to the same nominal bit rate but may result in different sample points.

To delete a bit rate, select the bit rate in the list and click on the [image] button below the list. Note that only user-defined bit rates can be deleted.

As long as a predefined preset is selected, the Data Bit Rate list is locked for selection and modification.

Note

When combining nominal and data bit rates to presets, the values of the prescalers for both nominal and data bit rate should be identical to ensure trouble-free operation.